Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.loadtest.assertions
Class AbstractLoadTestAssertion

    java.lang.Object
      com.eviware.soapui.impl.wsdl.loadtest.assertions.AbstractLoadTestAssertion

All Implemented Interfaces:
  LoadTestAssertion, PropertyChangeNotifier

Direct Known Subclasses:
  MaxErrorsAssertion, TestStepAverageAssertion, TestStepMaxAssertion, TestStepStatusAssertion, TestStepTpsAssertion

    public abstract class AbstractLoadTestAssertion

extends java.lang.Object
implements LoadTestAssertion

Base class for LoadTestAssertions

Author:
  Ole.Matzura

Nested Class Summary
`class` | `AbstractLoadTestAssertion.ConfigureAssertionAction`
`class` | `AbstractLoadTestAssertion.RenameAssertionAction`

Field Summary
`protected static java.lang.String` | `TEST_STEP_ELEMENT`
`protected static java.lang.String` | `TEST_STEP_FIELD`

Fields inherited from interface com.eviware.soapui.impl.wsdl.loadtest.LoadTestAssertion
`ALL_TEST_STEPS, ANY_TEST_STEP, CONFIGURATION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`AbstractLoadTestAssertion(com.eviware.soapui.config.LoadTestAssertionConfig assertionConfig, WsdlLoadTest loadTest)`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `addPropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener listener)`
`com.eviware.soapui.config.LoadTestAssertionConfig` | `getConfiguration()`
`javax.swing.ImageIcon` | `getIcon()`
`WsdlLoadTest` | `getLoadTest()`
`java.lang.String` | `getName()`
`java.lang.String` | `getTargetStep()`
`protected java.lang.String[]` | `getTargetStepOptions(boolean includeAll)`
`void` | `initIcon(java.lang.String url)`
`void` | `release()`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `removePropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener listener)`
`protected java.lang.String` | `returnErrorOrFail(java.lang.String message, int maxErrors, LoadTestRunner testRunner, LoadTestRunContext context)`
`protected void` | `setConfiguration(org.apache.xmlbeans.XmlObject configuration)`
`void` | `setName(java.lang.String name)`
`void` | `setTargetStep(java.lang.String name)`
`protected boolean` | `targetStepMatches(TestStep testStep)`
`protected abstract void` | `updateConfiguration()`
`void` | `updateConfiguration(com.eviware.soapui.config.LoadTestAssertionConfig configuration)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.impl.wsdl.loadtest.LoadTestAssertion
`assertResult, assertResults, getDescription`

Field Detail

### TEST_STEP_ELEMENT

    protected static final java.lang.String TEST_STEP_ELEMENT

See Also:
  Constant Field Values

### TEST_STEP_FIELD

    protected static final java.lang.String TEST_STEP_FIELD

See Also:
  Constant Field Values

Constructor Detail

### AbstractLoadTestAssertion

    public AbstractLoadTestAssertion(com.eviware.soapui.config.LoadTestAssertionConfig assertionConfig,
                                     WsdlLoadTest loadTest)

Method Detail

### initIcon

    public void initIcon(java.lang.String url)

### getConfiguration

    public com.eviware.soapui.config.LoadTestAssertionConfig getConfiguration()

  Specified by:
    `getConfiguration` in interface `LoadTestAssertion`

### updateConfiguration

    public void updateConfiguration(com.eviware.soapui.config.LoadTestAssertionConfig configuration)

  Specified by:
    `updateConfiguration` in interface `LoadTestAssertion`

### setConfiguration

    protected void setConfiguration(org.apache.xmlbeans.XmlObject configuration)

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `LoadTestAssertion`

### setName

    public void setName(java.lang.String name)

### getLoadTest

    public WsdlLoadTest getLoadTest()

### getIcon

    public javax.swing.ImageIcon getIcon()

  Specified by:
    `getIcon` in interface `LoadTestAssertion`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `addPropertyChangeListener` in interface `PropertyChangeNotifier`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.lang.String propertyName,
                                          java.beans.PropertyChangeListener listener)

  Specified by:
    `addPropertyChangeListener` in interface `PropertyChangeNotifier`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `removePropertyChangeListener` in interface `PropertyChangeNotifier`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.lang.String propertyName,
                                             java.beans.PropertyChangeListener listener)

  Specified by:
    `removePropertyChangeListener` in interface `PropertyChangeNotifier`

### returnErrorOrFail

    protected java.lang.String returnErrorOrFail(java.lang.String message,
                                                 int maxErrors,
                                                 LoadTestRunner testRunner,
                                                 LoadTestRunContext context)

### getTargetStep

    public java.lang.String getTargetStep()

  Specified by:
    `getTargetStep` in interface `LoadTestAssertion`

### setTargetStep

    public void setTargetStep(java.lang.String name)

  Specified by:
    `setTargetStep` in interface `LoadTestAssertion`

### updateConfiguration

    protected abstract void updateConfiguration()

### targetStepMatches

    protected boolean targetStepMatches(TestStep testStep)

### getTargetStepOptions

    protected java.lang.String[] getTargetStepOptions(boolean includeAll)

### release

    public void release()

  Specified by:
    `release` in interface `LoadTestAssertion`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.